#include <iostream>

using namespace std;

int main()
{
    int n,max_index,maxi,first_index,brojac=0,counter=0;
    cin >> n;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
    }
    for(int i=0;i<n-1;i++)
    {
        if(a[i]>=a[i+1])
        {
            brojac++;
        }
    }
    if(brojac==n-1)
    {
        for(int i=0;i<n-1;i++)
        {
            if(a[i]>a[i+1])
            {
                counter++;
            }
        }
        if(counter==n-1)
        {
            for(int i=0;i<n-2;i++)
            {
                cout << a[i] << " ";
            }
            cout << a[n-1] << " " << a[n-2];
            return 0;
        }
        else
        {
            for(int i=0;i<n;i++)
            {
                cout << a[i] << " ";
            }
            return 0;
        }
    }
    for(int i=0;i<n;i++)
    {
        maxi=a[i];
        first_index=i;
        for(int j=i+1;j<n;j++)
        {
            if(a[j]>=maxi)
            {
                maxi=a[j];
                max_index=j;
            }
        }
        if(maxi!=a[i])
        {
            break;
        }
    }

    for(int i=0;i<n;i++)
    {
        if(i==max_index)
        {
            cout << a[first_index] << " ";
        }
        else if(i==first_index)
        {
            cout << a[max_index] << " ";
        }
        else
        {
            cout << a[i] << " ";
        }
    }
    return 0;
}